Skip to main content
GET
/
v1
/
users
/
{id}
Get a User
curl --request GET \
  --url https://api.us.lexful.app/v1/users/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-ID: <api-key>'
import requests

url = "https://api.us.lexful.app/v1/users/{id}"

headers = {
    "Authorization": "Bearer <token>",
    "X-Account-ID": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'X-Account-ID': '<api-key>'}
};

fetch('https://api.us.lexful.app/v1/users/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "jsmith@example.com",
  "account_scopes": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "organization_scopes": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "first_name": "<string>",
  "last_name": "<string>",
  "external_ids": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "updated_by": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z"
}
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

id
string<uuid>
required

User ID

Query Parameters

include_deleted
boolean
default:false

Include deleted users in the results

include_system
boolean
default:false

Include system users from the system account

Response

Default Response

id
string<uuid>
required

User unique identifier

account_id
string<uuid>
required

Account ID this user belongs to

email
string<email>
required

User email address

role
enum<string>
required

User role

Available options:
system_admin,
system_support,
admin,
support,
viewer,
organization_viewer
account_scopes
(string<uuid> | enum<string>)[]
required

Array of account IDs the user has access to (or "*" for wildcard access)

UUID or wildcard "*"

organization_scopes
(string<uuid> | enum<string>)[]
required

Array of organization IDs the user has access to (or "*" for wildcard access)

UUID or wildcard "*"

first_name
string | null

User first name

last_name
string | null

User last name

external_ids
object

External system ID mappings

created_at
string<date-time>

User creation timestamp

updated_at
string<date-time>

Last update timestamp

created_by
string

User ID who created this user

updated_by
string

User ID who last updated this user

deleted_at
string<date-time> | null

Deletion timestamp